//
//  RootViewController.m
//  Detail
//
//  Created by admin on 15/7/21.
//  Copyright (c) 2015年 北京淘伟科技有限公司. All rights reserved.
//

#import "RootViewController.h"
#import "FirstTableViewController.h"
#import "SecondTableViewController.h"
#import "HeaderView.h"

const void * FIRSTTABLE = &FIRSTTABLE;
const void * SECONDTABLE = &SECONDTABLE;

#define   SIZEWIDTH  [[UIScreen mainScreen] bounds].size.width  //宽
#define   SIZEHEIGHT  [[UIScreen mainScreen] bounds].size.height  //高

@interface RootViewController ()<UIScrollViewDelegate>

@property (nonatomic,strong)UIButton * returnBtn;

@property (nonatomic, strong) UILabel  * titleLabel;

@property (nonatomic,strong)UIView  * headView;  //头部控件

@property (nonatomic,strong)UIView  * rootView;

@property (nonatomic,strong)UIScrollView  * rootScrollView;
@property (nonatomic,strong)UIScrollView  * slideScrollView;

@property (nonatomic,strong)UIView   * slideView;

@property (nonatomic,strong)UIScrollView  * firstTable;
@property (nonatomic,strong)FirstTableViewController  * firstTableView;
@property (nonatomic,strong)UIScrollView  * secondTable;
@property (nonatomic,strong)SecondTableViewController  * secondTableView;

@property (nonatomic,strong)UILabel   *leftLabel;
@property (nonatomic,strong)UILabel   *rightLabel;



@property (nonatomic, assign) CGFloat changeHeight;
@property (nonatomic, assign) CGFloat viewHeight;




@end

@implementation RootViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.


    [self navigationBarColor:@"320-64.png"];
    self.navigationController.navigationBar.shadowImage = [UIImage new];
    
    self.automaticallyAdjustsScrollViewInsets = YES;
    
    [self returnButton];
    
    self.view.backgroundColor = [UIColor whiteColor];
    

    [self setupSubViews];

    
    
    [self.firstTable addObserver:self forKeyPath:NSStringFromSelector(@selector(contentOffset)) options:NSKeyValueObservingOptionNew | NSKeyValueObservingOptionOld context:&FIRSTTABLE];
    [self.secondTable addObserver:self forKeyPath:NSStringFromSelector(@selector(contentOffset)) options:NSKeyValueObservingOptionNew | NSKeyValueObservingOptionOld context:&SECONDTABLE];

}


//导航栏颜色
- (void)navigationBarColor:(NSString *)picturePath
{
    
    UIImage  * topBackImg = [[UIImage imageNamed:picturePath]resizableImageWithCapInsets:UIEdgeInsetsMake(0, 0, 0, 0)];
    [self.navigationController.navigationBar setBackgroundImage:topBackImg forBarMetrics:UIBarMetricsDefault];
    
}


- (void)setupSubViews
{
    
    
    self.headView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, SIZEWIDTH, 200)];
    self.headView.backgroundColor = [UIColor whiteColor];
    [self.view addSubview:self.headView];
    
    self.titleLabel = [[UILabel alloc]initWithFrame:CGRectMake(0, 50, SIZEWIDTH, 100)];
    self.titleLabel.font = [UIFont systemFontOfSize:14];
    self.titleLabel.text = @"配资产品描述借款人向“手投网”指定监管账户（第三方）存入一定的风险保证金，根据风险保证金的1-5倍向投资人借款用于股票交易。投资人资金和借款人风险保证金一并打入“手投网”指定交易账户（第三方），平台不接触用户风险保证金，借款人只有交易权利，不接触资金，无出入资金的权利，确保投资人资金不被挪用，100%本息安全。";
    self.titleLabel.numberOfLines = 0;
    self.titleLabel.lineBreakMode = NSLineBreakByWordWrapping;
    self.titleLabel.backgroundColor = [UIColor whiteColor];
    [self.headView addSubview:self.titleLabel];
    
    
    
    _slideScrollView = [[UIScrollView alloc]initWithFrame:CGRectMake(0,0, SIZEWIDTH, SIZEHEIGHT)];
    [self.view addSubview:_slideScrollView];
    
    _slideScrollView.backgroundColor = [UIColor clearColor];
    //设置滚动区域
    _slideScrollView.contentSize =CGSizeMake(SIZEWIDTH * 2, SIZEHEIGHT);
    //设置分页效果
    _slideScrollView.pagingEnabled = YES;
    _slideScrollView.scrollEnabled= YES;
    _slideScrollView.showsHorizontalScrollIndicator = NO;
    _slideScrollView.delegate = self;
    
    
    
    _firstTableView = [[FirstTableViewController alloc] initWithNibName:@"FirstTableViewController" bundle:nil];
    _firstTable = _firstTableView.tableView;
    _firstTable.showsHorizontalScrollIndicator = NO;
    _firstTable.showsVerticalScrollIndicator = NO;

    _firstTable.backgroundColor = [UIColor clearColor];
    [_slideScrollView addSubview:_firstTable];
    _firstTable.frame = CGRectMake(0,0, SIZEWIDTH, SIZEHEIGHT);

    
    _secondTableView = [[SecondTableViewController alloc] initWithNibName:@"SecondTableViewController" bundle:nil];
    _secondTable = _secondTableView.tableView;
    _secondTable.showsHorizontalScrollIndicator = NO;
    _secondTable.showsVerticalScrollIndicator = NO;
    _secondTable.backgroundColor = [UIColor clearColor];
    [_slideScrollView addSubview:_secondTable];
    _secondTable.frame = CGRectMake(SIZEWIDTH, 0, SIZEWIDTH, SIZEHEIGHT);
    
    
    _rootView = [[UIView alloc] initWithFrame:CGRectMake(0, 200, SIZEWIDTH, 50)];
    _rootView.backgroundColor = [UIColor redColor];
    _rootView.backgroundColor = [UIColor colorWithRed:255/255.0 green:102/255.0 blue:0 alpha:1.0];
    [self.view addSubview:_rootView];
    
    _slideView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, SIZEWIDTH/2, 50)];
    _slideView.backgroundColor = [UIColor colorWithRed:0 green:0 blue:0 alpha:0.1];
    [_rootView addSubview:_slideView];
    
    _leftLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 0, SIZEWIDTH/2, 50)];
    _leftLabel.text = @"项目概览";
    _leftLabel.textColor = [UIColor whiteColor];
    _leftLabel.textAlignment = NSTextAlignmentCenter;
    [_rootView addSubview:_leftLabel];
    _rightLabel = [[UILabel alloc] initWithFrame:CGRectMake(SIZEWIDTH/2, 0, SIZEWIDTH/2, 50)];
    _rightLabel.text = @"融资信息";
    _rightLabel.textColor = [UIColor whiteColor];
    _rightLabel.textAlignment = NSTextAlignmentCenter;
    [_rootView addSubview:_rightLabel];
    
    UIButton  * leftButton = [UIButton buttonWithType:UIButtonTypeSystem];
    leftButton.frame = CGRectMake(0,0,SIZEWIDTH/2,50);
    leftButton.tag = 101;
    [leftButton addTarget:self action:@selector(slideButtonAction:) forControlEvents:UIControlEventTouchUpInside];
    [_rootView addSubview:leftButton];
    UIButton  * rightButton = [UIButton buttonWithType:UIButtonTypeSystem];
    rightButton.frame = CGRectMake(SIZEWIDTH/2,0,SIZEWIDTH/2,50);
    rightButton.tag = 102;
    [rightButton addTarget:self action:@selector(slideButtonAction:) forControlEvents:UIControlEventTouchUpInside];
    [_rootView addSubview:rightButton];
    
    
}

- (void)slideButtonAction:(UIButton *)button
{

    if (button.tag == 101) {
        
        NSLog(@"leftlabel");
        
        [UIView animateWithDuration:0.3 animations:^{
            
            _slideView.frame = CGRectMake(0,0,SIZEWIDTH/2,50);
            _slideScrollView.contentOffset = CGPointMake(0, 0);
            
        }];
        

    }
    if (button.tag == 102) {
        
        NSLog(@"rightlabel");
        
        [UIView animateWithDuration:0.3 animations:^{
            
            _slideView.frame = CGRectMake(SIZEWIDTH/2,0,SIZEWIDTH/2,50);
            _slideScrollView.contentOffset = CGPointMake(SIZEWIDTH, 0);
            
        }];
        

    }


    

}

- (void)scrollViewDidScroll:(UIScrollView *)scrollView
{
    
    
    if (_slideScrollView == scrollView) {
        
        [UIView animateWithDuration:0.1 animations:^{
           
            _slideView.frame = CGRectMake(_slideScrollView.contentOffset.x/2, 0, SIZEWIDTH/2, 50);
            
        }];
        
    }


}


- (void)returnButton
{
    
    self.returnBtn = [[UIButton alloc] initWithFrame:CGRectMake(0,0,200,25)];
    [self.returnBtn setImage:[UIImage imageNamed:@"btn_back.png"] forState:UIControlStateNormal];
    self.returnBtn.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;
    [self.returnBtn setContentEdgeInsets:UIEdgeInsetsMake(0, -12, 0, 0)];
    [self.returnBtn setImageEdgeInsets:UIEdgeInsetsMake(-5, 0, -5, 0)];
    [self.returnBtn sizeToFit];
    self.returnBtn.frame = CGRectMake(0, 0, self.returnBtn.bounds.size.width, 25);
    [self.returnBtn addTarget:self action:nil forControlEvents:UIControlEventTouchDown];
    UIBarButtonItem *btn = [[UIBarButtonItem alloc] initWithCustomView:self.returnBtn];
    self.navigationItem.leftBarButtonItem = btn;
    
    
}


-(void)observeValueForKeyPath:(NSString *)keyPath ofObject:(id)object change:(NSDictionary *)change context:(void *)context
{
    if (context == FIRSTTABLE) {
        
        NSLog(@"offset: %@----====+++++ %f", change,self.rootView.frame.origin.y);
        
        CGPoint offset = [change[NSKeyValueChangeNewKey] CGPointValue];
        CGFloat offsetY = offset.y;
        CGPoint oldOffset = [change[NSKeyValueChangeOldKey] CGPointValue];
        CGFloat oldOffsetY = oldOffset.y;
        CGFloat deltaOfOffsetY = offsetY - oldOffsetY;
        
        self.changeHeight = offsetY;
        
        if (deltaOfOffsetY > 0) {
            
            
            NSLog(@"%f---====++++--------=========%f======%f====%f",_firstTable.contentOffset.y,_secondTable.contentOffset.y,_firstTable.contentInset.top,_secondTable.contentInset.top);
            _headView.frame = CGRectMake(0,-offsetY/3, SIZEWIDTH,200);
            
            if (200-self.changeHeight <= 64) {
                
                [self navigationBarColor:@"navbars1.png"];
                
                [_secondTable setContentInset:UIEdgeInsetsMake(0, 0, 0, 0)];
                
                _rootView.frame = CGRectMake(0, 64, SIZEWIDTH, 50);
                
            }
            else{
                
                [self navigationBarColor:@"320-64.png"];
                
                [_secondTable setContentOffset:_firstTable.contentOffset];
                
                
                _rootView.frame = CGRectMake(0, 200-self.changeHeight, SIZEWIDTH, 50);
                
            }
            
        }else{
            
            _headView.frame = CGRectMake(0,-offsetY/3, SIZEWIDTH, 200);
            [_secondTable setContentInset:UIEdgeInsetsMake(0, 0, 0, 0)];

            if (200-self.changeHeight >= 64) {
                
                [self navigationBarColor:@"320-64.png"];
                
//                [_secondTable setContentOffset:_firstTable.contentOffset];
                
                _rootView.frame = CGRectMake(0, 200-self.changeHeight, SIZEWIDTH, 50);
                
            }else{
                
                [self navigationBarColor:@"navbars1.png"];

            }
            
        }
        
    }
    
    if (context == SECONDTABLE) {
        NSLog(@"offset: %@----====+++++ %f", change,self.rootView.frame.origin.y);
                
        CGPoint offset = [change[NSKeyValueChangeNewKey] CGPointValue];
        CGFloat offsetY = offset.y;
        CGPoint oldOffset = [change[NSKeyValueChangeOldKey] CGPointValue];
        CGFloat oldOffsetY = oldOffset.y;
        CGFloat deltaOfOffsetY = offsetY - oldOffsetY;
        
        self.changeHeight = offsetY;
        
        if (deltaOfOffsetY > 0) {
            
            _headView.frame = CGRectMake(0,-offsetY/3, SIZEWIDTH,200);
            
            if (200-self.changeHeight <= 64) {
                
                [self navigationBarColor:@"navbars1.png"];
                
                [_firstTable setContentInset:UIEdgeInsetsMake(0, 0, 0, 0)];
                _rootView.frame = CGRectMake(0, 64, SIZEWIDTH, 50);
                
                
            }
            else{
                
                [self navigationBarColor:@"320-64.png"];
                
                [_firstTable setContentOffset:_secondTable.contentOffset];
                
                _rootView.frame = CGRectMake(0, 200-self.changeHeight, SIZEWIDTH, 50);
                
            }
            
            
        }else{
            
            _headView.frame = CGRectMake(0,-offsetY/3, SIZEWIDTH, 200);
            [_firstTable setContentInset:UIEdgeInsetsMake(0, 0, 0, 0)];

            if (200-self.changeHeight >= 64) {
                
                [self navigationBarColor:@"320-64.png"];
                
                _rootView.frame = CGRectMake(0, 200-self.changeHeight, SIZEWIDTH, 50);
                
            }else{
                
//                [_firstTable setContentOffset:_secondTable.contentOffset];
                
                [self navigationBarColor:@"navbars1.png"];
                
            }
            
        }
        
    }
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
